Pterodactyldocs
Client A P I

Set server Docker image

Updates the server Docker image to one of the images allowed by the server egg.

PUT/api/client/servers/{server_uuid}/settings/docker-image
AuthorizationBearer <token>

Application API requests require an application API token, or a client API token, that belongs to a root administrator. Admin API requests require a client API token that belongs to a root administrator, and reject application API tokens. Client API requests require a client API token.

In: header

Path Parameters

server_uuid*string

The server UUID.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/api/client/servers/d3aac109-e5a0-4331-b03e-3454f7e02bbe/settings/docker-image" \  -H "Content-Type: application/json" \  -d '{    "docker_image": "ghcr.io/pterodactyl/yolks:java_21"  }'
Empty